package menus;

import services.ProductService;

import java.util.Scanner;

public class ProductMgMenu {

    ProductService ps = new ProductService();

    public void load() {
        int choice;
        Scanner sc = new Scanner(System.in);

        do {

            System.out.println("1/ Danh sách sản phẩm");
            System.out.println("2/ Thêm mới sản phẩm");
            System.out.println("3/ Cập nhật sản phẩm");
            System.out.println("4/ Xóa sản phẩm");
            System.out.println("5/ Tìm kiếm sản phẩm theo tên sản phẩm");
            System.out.println("6/ Sắp xếp sản phẩm theo giá tăng dần");
            System.out.println("7/ Thống kê số lượng sản phẩm theo danh mục");
            System.out.println("0. Thoát");

            System.out.println("Lựa chọn của bạn: ");
            choice = sc.nextInt();

            switch (choice) {
                case 1:
                    ps.showProductList();
                    System.out.println("DSSP");
                    break;
                case 2:
                    System.out.println("thêm sản phẩm");
                    ps.addProduct();
                    break;
                default:
                    System.out.println("Lựa chọn kg phù hợp!");
            }


        }while (choice != 0);
    }
}
